
$object = 'L1_vertebra'


@bone1 = ("CRANIUM", "HYOID", "MANDIBLE", "MAXILLA");

$original_folder = '/hpc_atog/bshi013/vertebra/Lumbar/vertebra/L1_images/'
$root = '/hpc/bshi013/validations/common_files/'

#fem def para;r;$object;$original_folder       # Declares array dimensions   
fem def para;r;shaft;$root
fem def coord;r;$object;$original_folder      # Defines the coordinate system
fem def bases;r;$object;$original_folder      # Defines tri-cubic Hermite basis functions

$tx=55
$ty=48
$tz= 95


$LOOP = scalar(@bone1);

for($i=0; $i < $LOOP; $i++){
	#set dir "/hpc_atog/bshi013/SPARC/ANATML/SKULL/BONES"
	set dir $bone1[$i]

	fem def node;r;$bone1[$i]
	fem def elem;r;$bone1[$i]


	fem change node translate by $tx,$ty,$tz
	
	fem export node;${bone1[$i]}_transformed as ${bone1[$i]}_transformed
	fem export elem;${bone1[$i]}_transformed as ${bone1[$i]}_transformed
	
	fem cancel nodes
	fem cancel elements

}

